/// <reference types="react" />
import type * as CSS from "csstype";
import type { ResponsiveValue } from "styled-system";
import type { InputProps } from "./input";
export interface ColorInputProps extends InputProps {
    value?: string;
    defaultValue?: string;
    pickerSize?: ResponsiveValue<CSS.Property.Height>;
    pickerDisabled?: boolean;
    onChange?: (value: string) => void;
    onOpen?: () => void;
    onClose?: () => void;
}
export declare const ColorInput: import("react").ForwardRefExoticComponent<ColorInputProps & import("react").RefAttributes<HTMLInputElement>>;
