/// <reference types="react" />
import type { BoxProps } from "./box";
import type { FloaterProps } from "./floater";
export interface DropdownProps extends BoxProps {
    overlay?: React.ReactNode;
    placement?: FloaterProps["placement"];
    isOpen: boolean;
    onOpen?: () => void;
    onClose?: () => void;
    disabled?: boolean;
    keepMounted?: boolean;
    matchWidth?: boolean;
    children?: React.ReactNode;
}
export declare const Dropdown: import("react").ForwardRefExoticComponent<DropdownProps & import("react").RefAttributes<HTMLDivElement>>;
