/// <reference types="react" />
export interface PortalProps {
    container?: HTMLElement | (() => HTMLElement);
    onMount?: () => void;
    onUnmount?: () => void;
    children: React.ReactNode;
}
export declare function Portal({ container, onMount, onUnmount, children }: PortalProps): import("react").ReactPortal;
export declare namespace Portal {
    var displayName: string;
}
