/**
 * Uses color manipulation in HSVA format. Can be applied to any
 * incoming color format by specifying the color model.
 */
export declare function useHexColor(color: any, onChange?: (color: any) => void): readonly [{
    h: number;
    s: number;
    v: number;
    a: number;
}, (params: Partial<{
    h: number;
    s: number;
    v: number;
    a: number;
}>) => void];
