/// <reference types="react" />
import type { TextColorProps, BackgroundColorProps } from "styled-system";
export interface BadgeProps extends Omit<React.HTMLAttributes<HTMLSpanElement>, "color">, TextColorProps, BackgroundColorProps {
    count?: number;
    overflowCount?: number;
    dot?: boolean;
    size?: "sm" | "md";
    offset?: [number, number];
}
export declare const Badge: import("react").ForwardRefExoticComponent<BadgeProps & import("react").RefAttributes<HTMLSpanElement>>;
