import styled, { css } from "styled-components";
import { Box } from "./box";
export const Image = styled(Box).withConfig({
  displayName: "image__Image",
  componentId: "sc-5dymi7-0"
})(["", ""], p => p.pixelated && css(["image-rendering:pixelated;image-rendering:crisp-edges;"]));
if (process.env.NODE_ENV !== "production") {
  Image.displayName = "Image";
}
Image.defaultProps = {
  as: "img"
};