/// <reference types="react" />
import type { SpaceProps, LayoutProps, BorderProps } from "styled-system";
export interface SkeletonProps extends React.HTMLAttributes<HTMLSpanElement>, SpaceProps, LayoutProps, BorderProps {
    count?: number;
    duration?: number;
    circle?: boolean;
}
export declare const Skeleton: import("react").ForwardRefExoticComponent<SkeletonProps & import("react").RefAttributes<HTMLSpanElement>>;
