import { forwardRef } from "react";
import { Input } from "./input";
import { jsx as _jsx } from "react/jsx-runtime";
export const Textarea = /*#__PURE__*/forwardRef((props, ref) => {
  return /*#__PURE__*/_jsx(Input, {
    ref: ref,
    as: "textarea",
    height: "auto",
    minHeight: 54,
    py: 1,
    ...props
  });
});
if (process.env.NODE_ENV !== "production") {
  Textarea.displayName = "Textarea";
}